code stringlengths 2 1.05M | repo_name stringlengths 5 110 | path stringlengths 3 922 | language stringclasses 1
value | license stringclasses 15
values | size int64 2 1.05M |
|---|---|---|---|---|---|
#! /bin/sh
# Copyright (C) 2003-2022 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program ... | autotools-mirror/automake | t/alloca2.sh | Shell | gpl-2.0 | 1,110 |
BEGIN {
myprompt = "(To Stop press CTRL+D) > "
printf "Welcome to MyAddtion calculation awk program v0.1\n"
printf "%s", myprompt
}
{
no1 = $1
op = $2
no2 = $3
ans = 0
if (op == "+")
{
ans = no1 + no2
printf "%d %c %d = %d\n", no1, op, no2, ans
printf "%s", ... | Furzoom/demo-C | src/shell/awk_if_condition.sh | Shell | gpl-2.0 | 523 |
#!/bin/sh
# obtain history data of items we need to export. Arguments:
# 1. hostid to be exported
# 2. template's hostid to filter
# 3. directory to save results
# it creates bunch of files with names derived from key (all commas and [] are replaced with _)
dir=$3
mysql -B -e "select i.itemid,i.key_,i.value_type,i.d... | Shmuma/z | misc/import/zabbix/get_items.sh | Shell | gpl-2.0 | 1,330 |
#!/bin/sh
echo "volume 200" >> /tmp/mplayercontrol
mplayer /home/pi/musicbox/sounds/unknown-tag.wav
| asmecher/musicbox | examples/volume-up.sh | Shell | gpl-2.0 | 100 |
#!/bin/sh
#Purpose: Post-install configure the driver with aticonfig --initial if not currently configured
# This script is enclosed in <script> element before the verify_install.sh is called.
#Input : none
# Process security context
sh ./packages/RedHat/selinux.sh 2>/dev/null
###Begin: config_install_sh - DO... | Scorpio92/linux_kernel_3.18.5 | drv/config_install.sh | Shell | gpl-2.0 | 750 |
#!/bin/sh
#-*-sh-*-
#
# $Id: listen_ra_handler.sh $
#
# Author: Markus Stenberg <markus stenberg@iki.fi>
#
# Copyright (c) 2012 cisco Systems, Inc.
#
# Created: Thu Nov 8 10:02:26 2012 mstenber
# Last modified: Tue Jun 11 14:24:08 2013 mstenber
# Edit time: 19 min
#
# Start or stop listening to ra default ... | fingon/hnet-core | openwrt/listen_ra_handler.sh | Shell | gpl-2.0 | 1,686 |
#!/bin/bash
# Example for running
docker run -e HOME=/root -t -i imiell/sd_tk /bin/bash
| ianmiell/shutit-distro | tk/bin/run.sh | Shell | gpl-2.0 | 88 |
#! /bin/sh
# Copyright (C) 1999-2017 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program ... | Starlink/automake | t/pluseq7.sh | Shell | gpl-2.0 | 1,053 |
#/bin/bash
#
# Get release and create RC-File
#
function DEBUG()
{
[ "$_DEBUG" == "on" ] && $@
}
function pause()
{
read -p "Weiter mit Eingabe" $a
}
FILE="resource.rc"
RELEASE=`grep "define RELEASE" ../version.h | cut -f3`
RELEASE=${RELEASE//\"/}
DEBUG echo $RELEASE
VERSION=${RELEASE//./,},0... | meonwax/acme | src/win/setRelease.sh | Shell | gpl-2.0 | 1,466 |
set output "PLOT_container_5TRL_42200.svg"
set grid
set title "container_5TRL - CURVA RD"
set xlabel "bit-rate"
set ylabel "RMSE"
plot "coef_constantes.dat" using 6:7 title "constantes" with linespoints linewidth 2, \
"coef_L.dat" using 6:7 title "L" with linespoints linewidth 2, \
"coef_42200_1.02.dat" using 6:7 t... | vicente-gonzalez-ruiz/QSVC | trunk/tests/Control_BR_slopes/5/container/plot42200.sh | Shell | gpl-2.0 | 8,740 |
#!/bin/zsh
#
# author: mplonski / sokoli
# web: http://sokoli.pl
# it's my first game in zsh, stay calm and fork / commit / pull request this repo :-)
#
# license: GNU GPL v2
#
# table used for keeping values from game
arr=()
# colors
RED='\e[1;31m' ; GREEN='\e[1;32m' ; YELLOW='\e[1;33m' ; BLUE='\e[1;34m' ; MAGENTA='... | mplonski/sh2048 | 2048.sh | Shell | gpl-2.0 | 5,942 |
rm -f $MYSQLTEST_VARDIR/log/*relay*
rm -f $MYSQLTEST_VARDIR/slave-data/relay-log.info
cat > $MYSQLTEST_VARDIR/slave-data/master.info <<EOF
master-bin.000001
4
127.0.0.1
replicate
aaaaaaaaaaaaaaab
$MASTER_MYPORT
1
0
EOF
| pieter/mysql-server | mysql-test/t/rpl000017-slave.sh | Shell | gpl-2.0 | 219 |
#! /bin/bash
#
# TALPA test script
#
# Copyright (C) 2004-2018 Sophos Limited, Oxford, England.
#
# This program is free software; you can redistribute it and/or modify it under the terms of the
# GNU General Public License Version 2 as published by the Free Software Foundation.
#
# This program is distributed in the h... | sophos/talpa | tests/chk_mount.sh | Shell | gpl-2.0 | 1,997 |
#! /bin/sh
. ../../testenv.sh
analyze_failure b.vhdl
analyze b1.vhdl
elab_simulate b
clean
echo "Test successful"
| tgingold/ghdl | testsuite/gna/issue1123/testsuite.sh | Shell | gpl-2.0 | 118 |
#############################################################################
# Copyright (c) 2008,2009 Novell, Inc.
# All Rights Reserved.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of version 2 of the GNU General Public License as
# published by the Free Software Fou... | adrianschroeter/kernel-source | scripts/wd-functions.sh | Shell | gpl-2.0 | 5,983 |
#!/bin/sh
# this script uses curl to download some cherry-picked sample images
set -e
mkdir ./whales
mkdir ./goats
mkdir ./unknown
mkdir ./probablyWhales
mkdir ./probablyGoats
#goats, from https://commons.wikimedia.org/wiki/Category:Goats
curl https://upload.wikimedia.org/wikipedia/commons/a/a6/A_goat_-_geograph.or... | yjftsjthsd-g/pybrain-picture-sort | samples/populate.sh | Shell | gpl-2.0 | 1,294 |
#!/bin/bash
# start base image
# sudo docker run -i -p 5300:80 -v ~/src:/home/docker/src -t $image /bin/bash;
image= port= src=
while getopts i:p:s: opt; do
case $opt in
i)
image=$OPTARG
;;
p)
port=$OPTARG
;;
s)
src... | johansyd/docker-base | start.sh | Shell | gpl-2.0 | 927 |
#!/bin/bash
xrandr -d :0 --output VGA1 --rotate right --mode 1024x768
xset -dpms
xset s off
xset b off
cd /sketchBook/2014/11-listopad/mesner_predstaveni/prehravac
ppop
| K0F/2014 | 11-listopad/mesner_predstaveni/prga.sh | Shell | gpl-2.0 | 169 |
#!/bin/bash
source /usr/lib/firstinst/firstinst-functions
##
## enable subpixel rendering, full hinting
## WARNING: cannot set 96 DPI, because this
## makes gnome-appearance-properties crash with BadAlloc X error
##
xmlfile=`mktemp /tmp/gnome-font_rendering.XXXXXXXXXX.xml`
if [ -z "${xmlfile}" ] ; then
exit 1
fi... | esoule/firstinst | firstinst-es-collection/gconf-font-rendering-config.sh | Shell | gpl-2.0 | 1,169 |
source $(dirname $0)/export.sh
if [ $# != 2 -o "$1" == "" -o "$2" == "" ]; then
echo "Usage : build_flashzip.sh <output file name> <boot.img file>"
exit
fi
_zipalign=$(which zipalign)
output=$1
bootimg=$2
carrier=`sed -n -e 's/^CONFIG_MACH_JA_KOR_\(.\+\)\=y$/\L\1/p' $KERNEL_OUT/.config`
if ! [ -e $bootimg ]; then... | OPNay/android_kernel_samsung_jalte | build/flash_zip.sh | Shell | gpl-2.0 | 1,055 |
#!/bin/sh
if [ $1 ]; then
LIST=$1;
else
LIST=$(git ls-tree -r --name-only --full-tree HEAD src/ | grep -E '*.c$')
PREFIX="../../"
fi
for SMPL in *.cocci; do
echo "Testing cocci file: $SMPL"
for FILE in $LIST ; do
spatch -sp_file $SMPL $PREFIX$FILE 2>/dev/null || exit 1;
done
done
exit 0
| pilcrow/suricata | qa/coccinelle/run_check.sh | Shell | gpl-2.0 | 301 |
#!/bin/bash -
# -*- coding: utf-8 -*-
# DumbQ 2.0 - A lightweight job scheduler - Testing docker platform
# Copyright (C) 2015-2016 Jorge Vicente Cantero, CERN
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Sof... | jvican/dumbq | bootstraps/testing/dummy.sh | Shell | gpl-2.0 | 915 |
#!/bin/bash
LEVEL=$1
for ((i = 1; i <= LEVEL; i++))
do
CDIR=../$CDIR
done
cd $CDIR
echo "You are in: "$PWD
exec /bin/bash | auspbro/CodeSnippets | Shell/simple-bash-scripts/scripts/up.sh | Shell | gpl-3.0 | 121 |
#!/usr/bin/env bash
# chkconfig: 2345 90 10
# description: vl.sh - Shell Script performing the "workflow" of the VL VM
# NOTE: Please ensure that VL_WORKFLOW_VERSION gets incremented with any changes
#configure our environment
export VL_WORKFLOW_VERSION="3"
export EC2_METADATA_SCRIPT="${WORKING_DIR}/ec2-metadata"
expo... | joshvote/ANVGL-Portal | vm/vl.sh | Shell | gpl-3.0 | 6,304 |
echo '$_='$_
echo '$0='$0
echo '$BASH_SOURCE='$BASH_SOURCE
echo '${(%):-%N}='${(%):-%N}
| jmesmon/trifles | test.sh | Shell | gpl-3.0 | 88 |
#!/bin/bash
ACTION=$1
COMPASS_PID=$2
COMPASS_CONF=$3
case "$ACTION" in
start)
if [ -f "$COMPASS_PID" ]
then
exit 1
else
compass watch -c "$COMPASS_CONF" &
echo -n "$!" > $COMPASS_PID
fi
;;
stop)
if [ -f "$COMPASS_PID" ]
... | Outernet-Project/librarian-notifications | scripts/compass.sh | Shell | gpl-3.0 | 476 |
#!/bin/sh
../generic_multiple.sh "-der -verbose -text -width 8" 4 "dder test RSA" "dsa" "tmp-o" "exp" ".der" ".txt" $1
| sebmillet/dder | test_linux/t13/test.sh | Shell | gpl-3.0 | 121 |
#!/usr/bin/env bash
bash $(dirname "${BASH_SOURCE[0]}")/docker_wrapper.sh -e "ABI=4" -e "ARCH=32" $@
| openkbs/git-dev | docker/anaconda3-docker/docker-images/conda_builder_linux/start_cpp98_32.sh | Shell | gpl-3.0 | 101 |
#!/bin/bash
echo "delete remap the device serial port(ttyUSBX) to rplidar"
echo "sudo rm /etc/udev/rules.d/rplidar.rules"
sudo rm /etc/udev/rules.d/rplidar.rules
echo " "
echo "Restarting udev"
echo ""
sudo udevadm control --reload-rules
sudo service udev restart
sudo udevadm trigger
echo "finish delete"
| Cessas/MecaunumRobot | rplidar_ros/scripts/delete_rplidar_rules.sh | Shell | gpl-3.0 | 313 |
#!/bin/bash
set -x
cd `dirname $0`
JAVA_CLASSPATH=$(find lib/ -name '*.jar' -printf '%p:')classes/
JAVA_EXEC="/opt/java8/bin/java $JAVA_OPTS -cp $JAVA_CLASSPATH"
pushd ../../OsmBelarus-Databases/ || exit 1
git pull || exit 1
popd
time nice $JAVA_EXEC org.alex73.osm.validators.harady.CheckCities3 || exit 1
time nice ... | OsmBelarus/Tools | nazvy/run.sh | Shell | gpl-3.0 | 903 |
#!/bin/sh
# csr.sh: Генератор приватных ключей и запросов на сертификат
# Установка безопасного разрешения на файл
LASTUMASK=`umask`
umask 077
# OpenSSL for HPUX needs a random file
RANDOMFILE=$HOME/.rnd
# Создание конфигурационного файла для OpenSSL
CONFIG=`mktemp -q /tmp/openssl-conf.XXXXXXXX`
if [ ! $? -eq 0 ]; t... | buch2002/create-csr | csr.sh | Shell | gpl-3.0 | 5,466 |
#!/bin/bash
# Copyright (C) 2020-2021 Miquel Sabaté Solà <mikisabate@gmail.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later... | mssola/dotfiles | bin/i3status.sh | Shell | gpl-3.0 | 1,172 |
#!/bin/sh
export FORCE_NET_KA=60
export LD_PRELOAD="${LD_PRELOAD}:./force_bind.so"
strace -o test_ka1.strace -f -s100 ./test_bind "$@"
| meebey/force_bind | test_ka1.sh | Shell | gpl-3.0 | 138 |
#!/usr/bin/env bash
for _ in $(seq 6)
do
! ssh -p 2222 -o ConnectTimeout=1 -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no -o PasswordAuthentication=no vagrant@127.0.0.1
done
! vm_command 'exit'
sleep 31s
vm_command 'exit'
| l0b0/root | test/run_alone_modules/firewall/test.sh | Shell | gpl-3.0 | 243 |
#!/bin/bash
# add 2016-11-22 by Pascal Withopf, released under ASL 2.0
. $srcdir/diag.sh init
. $srcdir/diag.sh generate-conf
. $srcdir/diag.sh add-conf '
module(load="../plugins/imudp/.libs/imudp")
input(type="imudp" port="514" address="128.98.1.12")
input(type="imudp" port="514" address="128.98.1.12")
template(name=... | madedotcom/rsyslog | tests/imudp_error_msg.sh | Shell | gpl-3.0 | 975 |
#!/bin/bash
# Stop wifi accesspoint
wifi-ap.config set disabled=true
| diydrones/companion | Common/Ubuntu/wifi_ap/stop_wifi.sh | Shell | gpl-3.0 | 71 |
#!/usr/bin/env bash -
## Print a header
SCRIPT_NAME="fuzzing"
LINE=$(printf -- "-%.0s" {1..76})
printf "# %s %s\n" "${LINE:${#SCRIPT_NAME}}" "${SCRIPT_NAME}"
## Declare a color code for test results
RED="\033[1;31m"
GREEN="\033[1;32m"
NO_COLOR="\033[0m"
failure () {
printf "${RED}FAIL${NO_COLOR}: ${1}\n"
# e... | frederic-mahe/vsearch-tests | scripts/fuzzing.sh | Shell | gpl-3.0 | 5,079 |
#!/bin/sh
# example: ./$0 /dev/vg_ssd/fastvm-fedora-install /wd4tb/workdir/tmp/ISO/Fedora-Server-dvd-x86_64.iso fedora.ks
BASE_IMAGE_LV="$1"
ISO_LOCATION="$2"
KICKSTART="$3"
virt-install \
--connect qemu:///system \
--name fedora-fastvm-install \
--ram 1024 --cpu host-model-only --vcpus 2 \
--network network=default,m... | OndrejHome/fast-vm-public-images | fedora/ks/virt-install-fedora.sh | Shell | gpl-3.0 | 760 |
#!/bin/bash
# Copyright 2013-2019, Derrick Wood, Jennifer Lu <jlu26@jhmi.edu>
#
# This file is part of the Kraken taxonomic sequence classification system.
#
# Kraken is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Found... | DerrickWood/kraken | scripts/standard_installation.sh | Shell | gpl-3.0 | 1,751 |
#!/usr/bin/env bash
# Usage: grammar-bench.sh gapt-testing.jar termsets...
set -e
gapt_testing_jar=`readlink -f $1`
shift
methods='
1_dtable
1_dtable_new
many_dtable
many_dtable_new
many_dtable_ss_new
1_maxsat
2_maxsat
3_maxsat
'
parallel --timeout 60 \
--colsep ' ' \
--joblog grammar-bench-joblog \
--progres... | gebner/gapt | testing/grammar-bench.sh | Shell | gpl-3.0 | 521 |
#!/bin/bash
VERSION="b0.0.15"
PID=$$
CONFIG_PATH="$HOME/.yaws/$PID"
STATIC_PATH="$HOME/.yaws/static"
PROFILE_LIST_FILE="$CONFIG_PATH/profiles"
EC2_INSTANCES_LIST_FILE="$CONFIG_PATH/ec2_instances"
EC2_INSTANCES_DETAILS_FILE="$CONFIG_PATH/ec2_instances_details"
EC2_INSTANCES_MENU_FILE="$CONFIG_PATH/ec2_instances_menu"
... | yulshub/yaws | yaws.sh | Shell | gpl-3.0 | 25,198 |
#!/bin/bash
cd /root
cd /home/xtreamcodes/iptv_xtream_codes/wwwdir/xmltv/France/FranceO
rm -rf "WebGrab++.config.xml" "guide.xml" /home/xtreamcodes/iptv_xtream_codes/wwwdir/xmltv/France/FranceO/FranceO.xml.gz
wget --no-check-certificate "https://github.com/andykimpe/euroiptv-epg-fr/raw/master/config/France/FranceO/Fran... | andykimpe/euroiptv-epg-fr | config/France/FranceO/FranceOupdate.sh | Shell | gpl-3.0 | 4,088 |
#!/bin/sh
set -ex
insmod virt_to_phys.ko
cd /sys/kernel/debug
cat lkmc_virt_to_phys
# k = 0x12345678
# i = 0x12345678
addr=$(awk '$1 == "virt_to_phys_k" { print $2 }' lkmc_virt_to_phys)
devmem "$addr"
devmem "$addr" w 0x9ABCDEF0
addr=$(awk '$1 == "virt_to_phys_i" { print $2 }' lkmc_virt_to_phys)
devmem "$addr"
devmem "... | cirosantilli/linux-kernel-module-cheat | rootfs_overlay/lkmc/virt_to_phys.sh | Shell | gpl-3.0 | 415 |
#
# after.sh for all OPERATING_SYSTEMs and TYPEs
#
#
# User Configuration
#
# Variable $MY_USERNAME is defined in /before.sh
# Create private SSH key
echo_step " Creating private SSH key"
echo_step_info "~$MY_USERNAME/.ssh/id_rsa"
{
echo -e "\n test dir /Users/$MY_USERNAME"
echo -e "\n test dir /data/data/com.te... | Cyclenerd/postinstall | base/after.sh | Shell | gpl-3.0 | 2,210 |
#!/usr/bin/env bash
trap ctrl_c INT
function ctrl_c()
{
printf "trapped Ctrl+C"
}
if [[ $PAM_TYPE == "close_session" ]]; then
echo "User logged out."
exit 0
fi
if [[ -z "$PAM_RHOST" ]]; then
PAM_RHOST="localhost"
fi
if [[ -z "$PAM_RUSER" ]]; then
PAM_RUSER="[UNKNOWN]"
fi
DAT... | 0xDA221E/Login-push | login-notification-pushover.bash | Shell | gpl-3.0 | 1,306 |
#---------------------------------------------------------------------
# Function: InstallBind
# Install bind DNS server
#---------------------------------------------------------------------
InstallBind() {
echo -n "Installing bind... ";
yum -y install bind bind-utils > /dev/null 2>&1
cp /etc/named.conf /etc/... | gtuk/ispconfig_setup | distros/centos7/install_bind.sh | Shell | gpl-3.0 | 1,692 |
#!/bin/bash
source $HOME/.local/share/AppInstall/components/helpers/colors.sh
echo -e "$green Setting up environment! $close_color" &&
sudo apt install -y autoconf automake build-essential python-dev git &&
echo -e "$green Installing... $close_color" &&
npm install -g react-native-cli &&
echo -e "$green React Nativ... | Wilfison/AppsInstall | components/react_native.sh | Shell | gpl-3.0 | 435 |
#!/bin/bash
python RunBootstrap.py --paralog1 YLR406C --paralog2 YDL075W --bootnum 8 > YLR406C_YDL075W_Boot8_PrintScreen.txt
| xjw1001001/IGCexpansion | Bootstrap/ShFiles/MG94_YLR406C_YDL075W_Boot8.sh | Shell | gpl-3.0 | 126 |
#!/bin/sh
AUTOPILOT=/usr/local/bin/autopilot
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/local/lib
WD=/var/log/autopilot
cd $WD
$AUTOPILOT &
| ANCL/autopilot | utils/autopilot.sh | Shell | gpl-3.0 | 143 |
#!/bin/bash
# -*- mode: shell-script; fill-column: 80; -*-
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
#
#
# Copyright (c) 2014, Joyent, Inc.
#
set -o xtrace
SO... | joyent/manta-madtom | boot/setup.sh | Shell | mpl-2.0 | 2,540 |
#!/bin/bash
set -e
echo "Pending SQL check script:"
echo
for i in `find data/sql/updates/pending* -name "*.sql" -type f`; do
if $(cat "$i"|sed "s/'.*'\(.*\)/\1/g"|grep -q -i -E "(PROCEDURE|FUNCTION)"); then
echo "> PROCEDURE check - Failed"
exit 1
else
echo "> PROCEDURE check - OK"
... | ShinDarth/azerothcore-wotlk | apps/ci/ci-pending.sh | Shell | agpl-3.0 | 944 |
#!/bin/bash
##
## @brief @(#) Bug #236 - two pass config (global section reference to global) and process cfg reload - test launcher
##
## @file run.sh
##
## -----------------------------------------------------------------------------
## Enduro/X Middleware Platform for Distributed Transaction Processing
## Copyright ... | endurox-dev/endurox | atmitest/test046_twopasscfg/run.sh | Shell | agpl-3.0 | 4,976 |
#!/bin/bash -e
# This file is part of the HörTech Open Master Hearing Aid (openMHA)
# Copyright © 2018 2019 2020 2021 HörTech gGmbH
#
# openMHA is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, version 3 ... | HoerTech-gGmbH/openMHA | mha/tools/release.sh | Shell | agpl-3.0 | 9,130 |
rm -f S-LOG.dat*
python ../../../../../utils-py/starttime.py S-LOG.dat "Search-starts!" ##LOGS-ELAPSED-TIMES
rm -f E.dat
rm -f N.dat
echo "################################################################"
#./SEARCH indexes/wiki2gb E 100 "int2=merge;intn=merge" < ../../patterns/einstein.words
#./SEARCH indexes/wik... | migumar2/uiHRDC | uiHRDC/indexes/NOPOS/EXPERIMENTS/experiments.20g/8.scripts.pfordelta/goSearch.sh | Shell | lgpl-2.1 | 1,652 |
#!/usr/bin/env bash
# This script contains command for quick POS dictionary and SYNTH_ dictionary generation.
# Shell scripts (or rather, symbolic links to "ltshell") are generated by RPM module.
# Adjust as needed
CORPUS_FILE=/opt/app/s/smd/lt/serbian-corpus.txt
CORPUS_HUNSPELL_FILE=/opt/app/s/smd/lt/hunspell-serbia... | lopescan/languagetool | languagetool-language-modules/sr/src/main/resources/org/languagetool/resource/sr/gendicts.sh | Shell | lgpl-2.1 | 1,312 |
#!/bin/bash
apt-get update
apt-get upgrade -y
apt-get install -y subversion git wget \
g++ python-dev python-setuptools swig cmake \
zlib1g-dev libxml2-dev libbz2-dev \
libcurl4-openssl-dev libpcre3-dev
# Installing cmake update if cmake version < 3.0.2
currentver="$(cmake --version | head -n1 | cut -d" " -f... | vincent-noel/python-libsedml | scripts/install_dep.sh | Shell | lgpl-3.0 | 1,144 |
#!/bin/bash
set -e
BIN="$(cd "$(dirname "$0")" ; pwd)"
source "${BIN}/lib-verbose.sh"
DELIMITER='|'
if [[ ".$1" = '.-d' ]]
then
DELIMITER="$2"
shift 2
fi
CSV_SOURCE=''
if [[ ".$1" = '.--file' ]]
then
CSV_SOURCE="$2"
shift 2
fi
CSV_FILE="$1"
if [[ -z "${CSV_FILE}" ]]
then
CSV_FILE='-'
fi
if [[ -z "${CS... | jeroenvanmaanen/scripts | find-duplicates.sh | Shell | lgpl-3.0 | 609 |
# -*- sh-basic-offset: 2; sh-indentation: 2; -*-
# Generated with Gromacs version 2020.3
# Note: The peptide coordinates have to be changed compared to namd.
# We need to center the peptides inside the box (editconf) to avoid some arbitrary translations made
# by gromacs mdrun at the first step, due to the fact the p... | colvars/colvars | gromacs/tests/library/Common/create_tpr.sh | Shell | lgpl-3.0 | 1,442 |
grails-debug -Dserver.port=9090 prod run-app | chb/i2b2-ssr-admin | debug.sh | Shell | lgpl-3.0 | 44 |
#!/bin/sh
# ------------------------------------------------------------------------------
# This is free and unencumbered software released into the public domain.
#
# Anyone is free to copy, modify, publish, use, compile, sell, or
# distribute this software, either in source code form or as a compiled
# binary, for ... | Fleshgrinder/nginx-session-ticket-key-rotation | test/test_check_server_version.sh | Shell | unlicense | 2,170 |
#!/bin/sh
# prerequisites
# jdk 1.7 or higher
# curl
# wget
export DEMO_HOME=`pwd`
# start all
cd $DEMO_HOME
export SPARK_HOME=$DEMO_HOME/spark
export SPARK_LOCAL_IP=localhost
export SPARK_MASTER_IP=localhost
$SPARK_HOME/sbin/start-all.sh
# at this point check http://localhost:8080
# you should see your stand... | natalinobusa/gowalla-spark-demo | start-all.sh | Shell | unlicense | 741 |
#!/bin/bash
#/ Usage: generate-xmldsig.sh <c14n-executable>
#/
#/ Generates a sample XMLDSig document, ie. a very simple XML sub-document signed
#/ with a fake key generated by this script. The script also generates
#/ a self-signed certificate associated with the private key and includes it in the
#/ output.
#/
#/ ... | kkonopko/kriscience | xmldsig-c14n/generate-xmldsig.sh | Shell | unlicense | 3,026 |
echo "Starting Supervisor"
nohup {{ common['soft_link_base_path'] }}/storm/bin/storm supervisor &
| adenot/ansible_storm_tarball | roles/storm_commons_tarball/templates/start_supervisor.sh | Shell | unlicense | 98 |
#!/bin/bash
set -m
if [ ! -f /.rabbitmq_password_set ]; then
/set_rabbitmq_password.sh
fi
# create erlang.cookie
echo "RMQCOOKIE" > /var/lib/rabbitmq/.erlang.cookie && \
chmod 400 /var/lib/rabbitmq/.erlang.cookie && \
ln -sf /var/lib/rabbitmq/.erlang.cookie /root/.erlang.cookie
# make rabbit own its own files, aft... | gaia-adm/docker-rabbitmq | run.sh | Shell | apache-2.0 | 818 |
#!/bin/bash
# build.debug.sh <cmake args ...>
#
# MexIFace example debug build script.
# Requires a base system with gcc-6.5 for matlab 2018a+ or gcc-4.9.4 for matlab 2016b+
#
# Debug-only build to local install prefix with build-tree export
INSTALL_PATH=_install
BUILD_PATH=_build/Debug
NUM_PROCS=$(grep -c ^processor ... | markjolah/MexIFace | build.debug.sh | Shell | apache-2.0 | 836 |
#!/bin/bash
LRMS=$1
RECIPE=$2
AUTH_FILE=$3
# Create EC3 cluster
echo "Launching cluster"
cd /opt/ec3
HOST=$(./ec3 launch myjenkinscluster nfs $LRMS $RECIPE -a $AUTH_FILE -u http://servproject.i3m.upv.es:8899 -y \
| grep "IP" | awk 'BEGIN {FS=" "}{print $7}' | awk 'BEGIN {FS="F"}{print $1}' )
echo "Cluster successfully... | grycap/jenkins | config-scripts/ec3/recipes/test.sh | Shell | apache-2.0 | 1,032 |
# Copyright 2022 The Google Research Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agree... | google-research/google-research | adaptive_learning_rate_tuner/run.sh | Shell | apache-2.0 | 790 |
#!/bin/bash
. ./cluster.conf
MEUSER=$(whoami)
if [ "$MEUSER" != "$IUSER" ]; then
echo "This script needs to be un as $IUSER. Current User: $MEUSER"
exit 1
fi
if [ ! -f "$PRVKEY" ]; then
echo "Private does not exist at $PRVKEY"
echo "Perhaps you need to move the private key to this node?"
exit 1
... | JohnOmernik/maprdcos | update_zk.sh | Shell | apache-2.0 | 2,765 |
#!/usr/bin/env bash
# ------------------------------------------------------------------------
# Copyright 2017 WSO2, Inc. (http://wso2.com)
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#... | imesh/wso2-microservices-poc | kubernetes-ei/pattern-1x/undeploy.sh | Shell | apache-2.0 | 1,255 |
#!/bin/bash
BASEDIR="`dirname -- "$0"`"
cd "$BASEDIR"
PROJECT_VERSION="`mvn -B help:evaluate -Dexpression=project.version | grep -v "^\[" | sed 's/\r//'`"
DROPWIZARD_VERSION=`mvn -B help:evaluate -Dexpression=dropwizard.version | grep -v "^\[" | sed 's/\r//'`
mvn -B -q dependency:copy -Dmdep.stripVersion=true -Dartif... | tfahub/dropwizard-bom | run-verify-dependencies.sh | Shell | apache-2.0 | 6,705 |
#!/bin/sh
COMPONENT_XML_FILES="goals.xml model.xml architecture.xml deltas.xml "\
"client.xml protocol.xml server.xml license.xml"
perl -i.bak1~ -pe 's/&/¬/g;' $COMPONENT_XML_FILES
xsltproc --output design.html to-html.xsl design.xml
perl -i.bak2~ -pe 's/¬/&/g;' $COMPONENT_XML_FILES design.html
rm -f *.bak[12]~
| jmckaskill/subversion | doc/design/to-html.sh | Shell | apache-2.0 | 315 |
#!/bin/bash
# Copyright 2012, Google Inc. All rights reserved.
# Use of this source code is governed by a BSD-style license that can
# be found in the LICENSE file.
# simple wrapper for starting up zookeeper so it detaches from the parent
# process and ingnores signals
logdir="$1"
config="$2"
pidfile="$3"
zk_ver=3.... | theskyinflames/bpulse-go-client | vendor/github.com/youtube/vitess/go/zk/zkctl/zksrv.sh | Shell | apache-2.0 | 1,338 |
#!/bin/bash
MINIO_PATH=$(which minio)
if [ -f "~/minio" ]; then
echo "<MINIO> is already installed !"
else
sudo wget https://dl.minio.io/server/minio/release/linux-amd64/minio
sudo mv ./minio ~/minio
sudo chmod 755 ~/minio
fi
if [ -d "/etc/minio/config" ]; then
echo "Configuration directory for <MIN... | krakky/market | minio_spark_cluster/bin/ubuntu/trusty/0_install_minio.sh | Shell | apache-2.0 | 539 |
#!/bin/bash -x
# Copyright 2015 The TensorFlow Authors. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless requ... | dhalleine/tensorflow | tensorflow/contrib/makefile/download_dependencies.sh | Shell | apache-2.0 | 1,528 |
redis-cli -p 22121 mset KKKKKKKKKKKKKKKKKK-0 vvv-0 KKKKKKKKKKKKKKKKKK-1 vvv-1 KKKKKKKKKKKKKKKKKK-2 vvv-2 KKKKKKKKKKKKKKKKKK-3 vvv-3 KKKKKKKKKKKKKKKKKK-4 vvv-4 KKKKKKKKKKKKKKKKKK-5 vvv-5 KKKKKKKKKKKKKKKKKK-6 vvv-6 KKKKKKKKKKKKKKKKKK-7 vvv-7 KKKKKKKKKKKKKKKKKK-8 vvv-8 KKKKKKKKKKKKKKKKKK-9 vvv-9 KKKKKKKKKKKKKKKKKK-10 vvv-... | zhongliangkang/twemproxy41 | test-twemproxy/test_redis/cmd.sh | Shell | apache-2.0 | 1,227 |
#!/bin/sh
set -e
. /opt/kolla/config-nova.sh
exec /usr/bin/nova-scheduler
| jasonbrooks/kolla | docker/nova-controller/nova-scheduler/start.sh | Shell | apache-2.0 | 77 |
#!/bin/bash
BASEDIR=$(dirname $(realpath $0))
source "${BASEDIR}/rsr_config.sh"
OPTSFILE="" #to be filled-in
OUTPUTFILE="" #also to be filled-in
# options file needs:
# RNA-seq file: $2
# max split distance: $6
# rna sample length: $4
# known gene reference: $3
# reference boundries: $3.intronBoundries.exonsgaps
# s... | xuric/read-split-run | splitPairs.sh | Shell | apache-2.0 | 2,754 |
#!/bin/bash
SOURCE=${1}
BINARY_NAME=${2}
TOOLCHAIN=${3:-stable}
ALPINE_VERSION=${4:-latest}
s2i build ${SOURCE} \
"blofroth/s2i-rust-musl:${TOOLCHAIN}" \
-e "RUST_BINARY=${BINARY_NAME}" \
--exclude "" \
--incremental \
"rust-musl-${BINARY_NAME}-tmp"
# secondary build as recommended by
# https://github.com/o... | blofroth/s2i-rust-musl | build.sh | Shell | apache-2.0 | 752 |
#!/bin/bash
# Load the latest WEAVE AMIs
WEAVE_ECS_AMIS=( $(curl -L -s https://raw.githubusercontent.com/weaveworks/integrations/master/aws/ecs/README.md | sed -n -e 's/^| *\([^| ]*\) *| *\(ami-[^| ]*\) *|$/\1:\2/p' ) )
SCOPE_AAS_PROBE_TOKEN="$1"
function usage(){
echo "usage: $(basename $0) [scope-aas-probe-tok... | moretea/microservices-demo | deploy/aws-ecs/scripts/setup1-infra.sh | Shell | apache-2.0 | 8,018 |
#!/bin/bash
docker rmi -f confd
| nicholasvmoore/docker-npc | cleanup.sh | Shell | apache-2.0 | 33 |
#!/bin/bash
# hosts
cp /etc/hosts{,.tmp}
cat /vagrant/resources/hosts >> /etc/hosts.tmp
mv /etc/hosts{.tmp,}
# pacemaker 1.1.10, corosync 2.3.3, crmsh 1.2.5
apt-get install -qqy pacemaker sysv-rc-conf
echo "START=yes" > /etc/default/corosync
cp /etc/corosync/corosync.conf{,.orig}
cp /vagrant/resources/corosync.conf.$... | yuanyangwu/vmlab | pacemaker_cluster/resources/provision.sh | Shell | apache-2.0 | 1,756 |
#-------------------------------------------------------------------------------
# Copyright 2017 Cognizant Technology Solutions
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may not
# use this file except in compliance with the License. You may obtain a copy
# of the License at
#
# htt... | CognizantOneDevOps/Insights | PlatformAgents/com/cognizant/devops/platformagents/agents/alm/hp/hpagent.sh | Shell | apache-2.0 | 3,760 |
# -----------------------------------------------------------------------------
#
# Package : bunyan
# Version : 1.8.15
# Source repo : https://github.com/trentm/node-bunyan
# Tested on : RHEL 8.3
# Script License: Apache License, Version 2 or later
# Maintainer : BulkPackageSearch Automation <sethp@us.ibm.com>
#
# Dis... | ppc64le/build-scripts | b/bunyan/bunyan_rhel_8.3.sh | Shell | apache-2.0 | 3,052 |
#!/usr/bin/env bash
go run genlog.go -leveldatafile basiclevel.data -packagename=basiclog | kasworld/log | genlog/genbasic.sh | Shell | apache-2.0 | 90 |
#+
# Some standard functions for Mistify-OS scripts.
#-
projectdir=$PWD # Save this directory for later.
# Where to maintain buildmistify settings.
statedir=$projectdir/.buildmistify
# Which branch this script is running with.
mistifybranch=`git symbolic-ref -q --short HEAD`
# Jenkins detaches for branches so need to ... | trisk/mistify-os | scripts/mistify-functions.sh | Shell | apache-2.0 | 2,092 |
VERSION="$1"
# openvidu-hello-world
cp openvidu-browser/static/js/openvidu-browser-"$1".min.js ../openvidu-tutorials/openvidu-hello-world/web/openvidu-browser-"$1".min.js
# openvidu-insecure-js
cp openvidu-browser/static/js/openvidu-browser-"$1".min.js ../openvidu-tutorials/openvidu-insecure-js/web/openvidu-browser-"... | OpenVidu/openvidu | update-plainjs-prod.sh | Shell | apache-2.0 | 1,648 |
#!/usr/bin/env bash
#
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "Li... | yahoo/pulsar | build/build_java_test_image.sh | Shell | apache-2.0 | 1,453 |
#!/bin/bash
# Copyright 2020 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to... | apigee/devrel | tools/hybrid-quickstart/steps.sh | Shell | apache-2.0 | 28,286 |
#!/bin/sh
set -e
trap 'exit 1' ERR
# travis test script for django app
#
# PRECONDITION: inherited env vars from application's .travis.yml MUST include:
# DJANGO_APP: django application directory name
# start virtualenv
source bin/activate
function run_test {
echo "##########################"
echo "TEST... | uw-it-aca/django-panopto-scheduler | docker/test.sh | Shell | apache-2.0 | 828 |
#!/bin/sh
set -e
# Clear the MAC address on the TI WL18xx .bin file.
#
# NOTE: This is only relevant for the BBG Wireless and any other board using
# a TI WiLink WiFi module.
#
# If the MAC address field is set to 0, the WL18xx parts will use whatever
# TI programmed into the module's fuses. The wl127x-nvs.bin ... | nerves-project/nerves_system_bbb | post-build.sh | Shell | apache-2.0 | 1,845 |
#!/bin/bash
######
### Migrates the keys responding to the pattern specified on the command line, using DUMP/RESTORE, supports authentication differently from MIGRATE
######
SOURCE_HOST=localhost
SOURCE_PASSWORD=
SOURCE_PORT=6379
TARGET_HOST=localhost
TARGET_PASSWORD=
TARGET_PORT=6380
LOG_FILE="redis-migrate.log"
REDI... | QingCloudAppcenter/user-guide | docs/redis-standalone/redis_migrate.sh | Shell | apache-2.0 | 1,700 |
#!/bin/bash
docker build . -t identitybasenet/aspnetcoreweb:latest
| IdentityBaseNet/IdentityBase | examples/AspNetCoreWeb/build.sh | Shell | apache-2.0 | 68 |
#!/usr/bin/env bash
<info textAttributesKey="BASH.VAR_DEF">var</info>="there"
<info textAttributesKey="BASH.INTERNAL_COMMAND">echo</info> $(<info textAttributesKey="BASH.INTERNAL_COMMAND">echo</info> hello world "$var")
(
# comments inside of subshells must be properly highlighted
# $var is highlighted by the... | jansorg/BashSupport | testData/editor/highlighting/syntaxHighlighter/subshell.bash | Shell | apache-2.0 | 435 |
#!/bin/bash
# http://wiki.bash-hackers.org/howto/conffile
# https://github.com/nicholaswilde/mac-address-monitor/tree/master/smartapps/nicholaswilde/mac-address-monitor.src
# Debug
DEBUG=true
function debug(){
if [ "$DEBUG" = true ]; then
echo $1
fi
}
# Check if run as sudo
if [ "$USER" != "root" ]; ... | nicholaswilde/mac-address-monitor | smartapps/nicholaswilde/mac-address-monitor.src/install-mam.sh | Shell | apache-2.0 | 10,688 |
#!/bin/bash
# ----------------------------------------------------------------------------
# Copyright 2015 Nervana Systems Inc.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://... | NervanaSystems/ModelZoo | ImageClassification/ILSVRC2012/Alexnet/test.sh | Shell | apache-2.0 | 1,686 |
# KEEP UBUNTU OR DEBIAN UP TO DATE
sudo apt-get -y update
sudo apt-get -y upgrade
sudo apt-get -y dist-upgrade
sudo apt-get -y autoremove
# INSTALL THE DEPENDENCIES
# Build tools:
sudo apt-get install -y build-essential cmake
# GUI (if you want to use GTK instead of Qt, replace 'qt5-default' with 'libgtkglext1-dev... | alee156/clviz | install-opencv.sh | Shell | apache-2.0 | 1,678 |
#! /bin/sh -e
# usage: vmdk_to_ova.sh [vmdk_image_path]
: ${OVF_TEMPLATE_FILE:=templates/basic_template.ovf.xml}
[ -z "$1" ] && echo 'no image file provided, exiting.' && exit 1
image="$1"
base="$(basename $image)"
# the base is the image with the disk1 suffix removed if existing
image_base=`echo ${base%.*} | sed '... | flaccid/machine-image-tools | scripts/vmdk_to_ova.sh | Shell | apache-2.0 | 2,210 |
#!/bin/bash
#******************************************************************************
# Copyright 2015 Clark Hsu
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.o... | cclhsu/bash_github | cache_your_github_password.sh | Shell | apache-2.0 | 4,323 |
#!/bin/bash
echo "Host IP-Address is $1"
echo "Set LDAP Server to $1:$2"
rm -rf *.rb*
sed -e s/localhost/$1/g templete_gitlab > gitlab.rb
sed -i -e s/ldap_port/$2/g gitlab.rb
sudo cp /vagrant_data/gitlab.rb /etc/gitlab/gitlab.rb
sudo gitlab-ctl reconfigure
sudo gitlab-rake gitlab:ldap:check
| SEAN-KR/vagrant_gitlab | data/setenv_ldap.sh | Shell | apache-2.0 | 297 |
#!/bin/sh
set -xe
TEST_NAME=send_command
#./${TEST_NAME} OMX.st.video_decoder.avc
#./${TEST_NAME} OMX.st.video_decoder.mpeg4
#./${TEST_NAME} OMX.st.video_decoder.h263
#./${TEST_NAME} OMX.st.audio_decoder.aac
#./${TEST_NAME} OMX.st.audio_decoder.mp3
#./${TEST_NAME} OMX.st.audio_decoder.vorbis
#./${TEST_NAME} OMX.MF.r... | katsuster/omxil-mf | tests/basic/send_command.sh | Shell | apache-2.0 | 402 |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.